import JSONEditor from 'jsoneditor';
import 'jsoneditor/dist/jsoneditor.css';

export function renderAdminData(adminData, language) {
  const container = document.getElementById('adminData');
  // Title for admin data
  const title = document.createElement('h2');
  title.textContent = 'Administrative Data (' + language + ')';
  container.appendChild(title);

  // JSONEditor options (read-only view)
  const options = {
    mode: 'view',
    mainMenuBar: false,
    navigationBar: false,
    statusBar: false
  };

  // Create a new JSONEditor instance to display the adminData
  const editor = new JSONEditor(container, options);
  editor.set(adminData);
}
