export function selectRenderer(json, language) {
  // If the JSON node has a refType matching basic_\dIndexTable, render as plot and table
  if (json && json.$ && json.$.refType && /^basic_\dIndexTable/.test(json.$.refType)) {
    return renderPlotAndTable(json, language);
  }
  // Fallback: render a simple JSON string
  const container = document.createElement('pre');
  container.textContent = JSON.stringify(json, null, 2);
  return container;
}

function renderPlotAndTable(json, language) {
  // Placeholder implementation for plot and table rendering
  const container = document.createElement('div');
  container.className = 'plot-and-table';
  container.textContent = 'Plot and Table renderer placeholder for language: ' + language;
  return container;
}
